# Madis


[![CI](https://gitlab.com/soluris/madis/badges/master/pipeline.svg?style=flat)](https://example.gitlab.com/soluris/madis/badges/commits/master)
[![coverage](https://gitlab.com/soluris/madis/badges/master/coverage.svg?style=flat)](https://gitlab.com/soluris/madis/)

Accompagnement dans la gestion du Règlement Général à la Protection des Données (RGPD). 

# Table des matières

- [Installation de MADIS](doc/installation)
    - [Pré-requis pour lancer l'installation de MADIS](doc/installation/1-pre-requis.md)
    - [Configurer les services (NGINX, ...)](doc/installation/2-configurer-les-services.md)
    - [Cloner le dépôt de code MADIS depuis GIT](doc/installation/3-cloner-le-depot-git-de-madis.md)
    - [Configurer MADIS et effectuer son premier lancement](doc/installation/4-premiere-configuration-de-madis.md)
    - [Paramétrage complémentaire](doc/installation/5-parametrages-complementaires.md)
    
- [Gestion de l'application](doc/gestion-application)
    - [Requêtes SQL](doc/gestion-application/1-requetes-sql.md)

- [Maintenance applicative & montées de versions](doc/maintenance-applicative)
    - [Pré-requis pour lancer l'installation de MADIS](doc/maintenance-applicative/1-pre-requis.md)
    - [Réaliser une montée/descente de version de MADIS](doc/maintenance-applicative/2-realiser-une-montee-de-version.md)
    - [Descriptif des variables d'environnement de Symfony](doc/maintenance-applicative/4-descriptif-variables-environement-symfony.md)
    - [Problèmes possibles et connus lors de mises à jour](doc/maintenance-applicative/3-problemes-possible-lors-de-mises-a-jour.md)
    
- [[DEVELOPPEURS] Documentation technique](doc/developpement)
    - [Pré-requis pour lancer l'installation de MADIS](doc/developpement/1-pre-requis.md)
    - [Architecture applicative](doc/developpement/2-architecture-applicative.md)
    - [Les bonnes pratiques de développement](doc/developpement/3-bonnes-pratiques-de-developpement.md)
    - [Effectuer la maintenance et les montées de versions](doc/developpement/4-maintenance-et-montee-de-version.md)
    - [Qualité du code](doc/developpement/5-qualite-de-code.md)
    - [Cycle de vie d'une contribution](doc/developpement/6-cycle-de-vie-contribution.md)

## Stack technique
Le projet est construit avec :
* [Symfony 4.3](http://symfony.com/doc/current/index.html) - Comme framework backend
* [AdminLTE 2](https://adminlte.io/) - Comme support CSS

## Contributeurs historiques
* __BOURLARD Donovan__ - Travail initial
* __ANODE Stratégie Digitale__ - Maintenance et évolutions

Des contributions ont peut-être été faites sur le projet.
Pour analyser la liste des contributeurs, référez vous au dépôt de code sur Gitlab.  
